Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class EZDistributionCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.EZDistributionCImpl

public class EZDistributionCImpl
extends PhaseCImpl
implements EZBinC, EZBinS, EZDistributionS, EZDistributionC

An EZBin that treats data as a distribution.. This is a subclass of EZBin which normalizes the data and treats it as a distribution. This means that in addition to the statistics it can calculate by virtue of being a subclass of EZBin, it can also calculate the entropy of the distribution as well as return the probabilities associated with the individual bins.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`EZDistributionCImpl()`
`EZDistributionCImpl(EZDistribution nextPhase)`

Methods implemented by this class for interface swarm.analysis.EZBinC
`setAxisLabelsX$Y, setBinCount, setCollection, setColors$count, setFileName, setFileOutput, setGraphics, setLowerBound, setMonoColorBars, setProbedSelector, setTitle, setUpperBound`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods implemented by this class for interface swarm.simtoolsgui.CompositeWindowGeometryRecordNameC
`setWindowGeometryRecordNameForComponent$widget`

Methods implemented by this class for interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EZDistributionCImpl

    public EZDistributionCImpl(EZDistribution nextPhase)

### EZDistributionCImpl

    public EZDistributionCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD